/* ###################################################################
**     This component module is generated by Processor Expert. Do not modify it.
**     Filename    : IIC0.h
**     Project     : DevKit-S12ZVC_IIC_Lab4
**     Processor   : MC9S12ZVCA192MKH
**     Component   : Init_IIC
**     Version     : Component 01.054, Driver 01.09, CPU db: 3.00.000
**     Compiler    : CodeWarrior HCS12Z C Compiler
**     Date/Time   : 2016-07-15, 12:40, # CodeGen: 4
**     Abstract    :
**          This file implements the IIC (IIC0) module initialization 
**          according to the Peripheral Initialization settings, 
**          and defines interrupt service routines prototypes.
**          The Inter-IC Bus (IIC or I2C) is a two-wire, bidirectional serial
**          bus that provides a simple, efficient method of data exchange
**          between devices Being a two-wire device, the IIC Bus minimizes
**          the need for large numbers of connections between devices,
**          and eliminates the need for an address decoder.
**     Settings    :
**          Component name                                 : IIC0
**          Device                                         : IIC0
**          Multiplier Factor                              : 1
**          SCL Tap (Clocks)                               : 5
**          Tap to Tap (Clocks)                            : 16
**          SCL frequency                                  : 100 kHz
**          SDA Hold                                       : 1.0625 us
**          SCL hold (Start)                               : 4.875 us
**          SCL hold (Stop)                                : 5.0625 us
**          Trans/Receiv mode select                       : Receive
**          Transmit Acknowledge                           : yes
**          Slave Address                                  : 68
**          Address type                                   : 7-bit addressing
**          Genneral Call                                  : Disabled
**          Stop in WAIT mode                              : Disabled
**          SDA pin                                        : PJ0_SDA0_RXD0
**          SDA pin signal                                 : 
**          SCL pin                                        : PJ1_SCL0_TXD0
**          SCL pin signal                                 : 
**          Interrupt                                      : Viic
**          IIC interrupt                                  : Enabled
**          Interrupt priority                             : 4
**          ISR name                                       : ISR_IIC
**          Call Init in CPU init. code                    : yes
**          Bus Enable                                     : yes
**     Contents    :
**         Init - void IIC0_Init(void);
**
**     Copyright : 1997 - 2014 Freescale Semiconductor, Inc. 
**     All Rights Reserved.
**     
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**     
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**     
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**     
**     o Neither the name of Freescale Semiconductor, Inc. nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**     
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**     
**     http: www.freescale.com
**     mail: support@freescale.com
** ###################################################################*/
/*!
** @file IIC0.h
** @version 01.09
** @brief
**          This file implements the IIC (IIC0) module initialization 
**          according to the Peripheral Initialization settings, 
**          and defines interrupt service routines prototypes.
**          The Inter-IC Bus (IIC or I2C) is a two-wire, bidirectional serial
**          bus that provides a simple, efficient method of data exchange
**          between devices Being a two-wire device, the IIC Bus minimizes
**          the need for large numbers of connections between devices,
**          and eliminates the need for an address decoder.
*/         
/*!
**  @addtogroup IIC0_module IIC0 module documentation
**  @{
*/         

#ifndef __IIC0
#define __IIC0

/* MODULE IIC0. */

/*Include shared modules, which are used for whole project*/
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
/* Include inherited components */

#include "Cpu.h"




void IIC0_Init(void);
/*
** ===================================================================
**     Method      :  IIC0_Init (component Init_IIC)
**     Description :
**         This method initializes registers of the IIC module
**         according to this Peripheral Initialization settings. Call
**         this method in user code to initialize the module. By
**         default, the method is called by PE automatically; see "Call
**         Init method" property of the component for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/


/*
** ===================================================================
** The interrupt service routine must be implemented by user in one
** of the user modules (see IIC0.c file for more information).
** ===================================================================
*/
#pragma CODE_SEG __NEAR_SEG NON_BANKED
__interrupt void ISR_IIC(void);
#pragma CODE_SEG DEFAULT
/* END IIC0. */

#endif /* ifndef __IIC0 */
/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 5.3 [05.09]
**     for the Freescale HCS12Z series of microcontrollers.
**
** ###################################################################
*/
